# Street Route

## Street Route Overview ##
The Street Route Cloud API provides a convenient online solution for retrieving the distance (measured in miles or kilometers) and estimated driving duration between two sets of latitude and longitude coordinates.

You can use Street Route to:

- Find the distance and general drive time between two points
- Create a ‘Find the Nearest Location’ tool.
  - Using a database of ‘known / owner destinations’, Street Route can be used to compare a starting point location to the database to return all the route distances and drive times to the possible destinations, which can be queried by the user to present the shortest distance or travel time to the end user.
- Determine geolocations which our data sources tell us cannot be reached by vehicle travel.
  - This differentiates Street Route from other distance solutions which return ‘As the crow flies’ distances. Examples are geo points to islands, or rural off road residences.

**Documentation**
- [Street Route Documentation](https://docs.melissa.com/cloud-api/street-route/street-route-index.html)

**Useful Resources**
- [GitHub - Street Route Open API Specification](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specification/blob/main/openapi/apis/street-route.yaml)
- [Release notes](https://releasenotes.melissa.com/cloud-api/street-route/)
- [Result codes](https://docs.melissa.com/cloud-api/street-route/result-codes.html)

**Product Page**

[https://www.melissa.com/geocoding](https://www.melissa.com/geocoding)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

Street Route Server
```
https://streetroute.melissadata.net/v1/WEB/StreetRoute
```

## Download OpenAPI description

[Street Route](https://developer.melissa.com/_bundle/apis/street-route.yaml)

## Distance Retriever

Use Distance Retriever endpoint to find the distance and general drive time between two points.

### Get distance

 - [GET /getDistance](https://developer.melissa.com/apis/street-route/distance-retriever/getdistanceget.md): Find the distance and general drive time between two points.

### Get distance in batch

 - [POST /getDistance](https://developer.melissa.com/apis/street-route/distance-retriever/getdistancepost.md): Submit a batch request to find the distance and general drive time between two points.

## Multipoint Distance Retriever

Use Multipoint Distance Retriever endpoint to find the distance and general drive time between multiple points.

### Get distance with one or more points

 - [GET /getDistanceMultipoint](https://developer.melissa.com/apis/street-route/multipoint-distance-retriever/getdistancemultipointget.md): Find the distance and general drive time between multiple points.

